Citra Fails to Launch - Library not found

Greetings to all,
My emulator fails to launch and this is the terminal window contents:

Library not loaded: /usr/local/Cellar/ffmpeg/4.1_1/lib/libavutil.56.dylib
Referenced from: /Applications/Citra/canary/citra-qt.app/Contents/Frameworks/libavcodec.58.dylib
Reason: image not found
Abort trap: 6
logout

Please help! Thank you!

System Information

  • Operating System: macos
  • CPU: i have no idea how to check this
  • GPU: i have no idea how to check this
  • Citra Version (found in title bar): its the latest canary version

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.

Sorry, but now it throws a different error:

Symbol not found: __ZdlPvSt11align_val_t
Referenced from: /Applications/Citra/canary/citra-qt.app/Contents/MacOS/citra-qt-bin (which was built for Mac OS X 10.13)
Expected in: /usr/lib/libc++.1.dylib
in /Applications/Citra/canary/citra-qt.app/Contents/MacOS/citra-qt-bin
Abort trap: 6

What do I do now? Thanks in advance.

You are likely using an outdated OS version, click on the apple logo > About This Mac and on Overview you can find which version your OS is in, along with hardware specs, post them here.

Sorry for the late reply.

I am using Sierra 10.12.6. I am unable to find the update on the apple store to 10.13.

You need an updated version of mac osx to run citra, you can try using an older version that may still work: